> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# The Vehicle object

<div className="xl:hidden">
  <CodeGroup>
    ```json The Vehicle object theme={null}
    {
        "id": "veh_LYAsb3EGOvpMEVohGGwyONPPQTSO040H",
        "object": "vehicle",
        "battery_capacity": 82000,
        "charging_standard": "CCS",
        "created": "2026-04-01T00:39:14.467Z",
        "drivers": ["drv_FoGRbA1xhCCfIK7CrlcN5aExVR13Qjc3"],
        "fleet": "flt_uKWbgmcY1aNWVFxhxTNYNTLZro9tz4p2",
        "information": {
            "make": "Volvo",
            "model": "EX30",
            "year": "2025"
        },
        "metadata": {},
        "policy_ids": ["pol_Jkj1ZTjAH5bxAi05Y5x9qutaaYcH8sef"],
        "registration_plate": "AB-123-CD",
        "status": "active",
        "telemetry": "vtel_UWxuDZZAMbZTyDCSQ4kbKWbWqsSAnfJ0",
        "updated": "2026-04-01T01:24:26.833Z",
        "vin": "YV1XZK5V0S1234567"
    }
    ```
  </CodeGroup>
</div>

<div className="hidden xl:block">
  <ResponseExample>
    ```json The Vehicle object theme={null}
    {
        "id": "veh_LYAsb3EGOvpMEVohGGwyONPPQTSO040H",
        "object": "vehicle",
        "battery_capacity": 82000,
        "charging_standard": "CCS",
        "created": "2026-04-01T00:39:14.467Z",
        "drivers": ["drv_FoGRbA1xhCCfIK7CrlcN5aExVR13Qjc3"],
        "fleet": "flt_uKWbgmcY1aNWVFxhxTNYNTLZro9tz4p2",
        "information": {
            "make": "Volvo",
            "model": "EX30",
            "year": "2025"
        },
        "metadata": {},
        "policy_ids": ["pol_Jkj1ZTjAH5bxAi05Y5x9qutaaYcH8sef"],
        "registration_plate": "AB-123-CD",
        "status": "active",
        "telemetry": "vtel_UWxuDZZAMbZTyDCSQ4kbKWbWqsSAnfJ0",
        "updated": "2026-04-01T01:24:26.833Z",
        "vin": "YV1XZK5V0S1234567"
    }
    ```
  </ResponseExample>
</div>

This object represents a vehicle in Charge. Use it to store vehicle identity, charging capabilities, relationships, and telemetry links.

## Attributes

<ResponseField name="id" type="string" required>
  Unique identifier for the object.
</ResponseField>

<ResponseField name="battery_capacity" type="integer" required>
  Total battery capacity of the vehicle in watt-hours (Wh).
</ResponseField>

<ResponseField name="fleet" type="string | null" post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the attached fleet, if any.
</ResponseField>

<ResponseField name="information" type="object" required>
  Manufacturer details for the vehicle.

  <Expandable title="properties">
    <ResponseField name="make" type="string | null">
      Vehicle manufacturer or brand.
    </ResponseField>

    <ResponseField name="model" type="string | null">
      Model name of the vehicle.
    </ResponseField>

    <ResponseField name="year" type="string | null">
      Model year of the vehicle.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="registration_plate" type="string" required>
  License plate or vehicle registration number.
</ResponseField>

<ResponseField name="status" type="string" required>
  Current lifecycle status of the vehicle.

  Available options: `active`, `inactive`, `retired`
</ResponseField>

## More attributes

<ResponseField name="object" type="string" required>
  String representing the object's type.
</ResponseField>

<ResponseField name="charging_standard" type="string" required>
  Standard used for charging the vehicle.
</ResponseField>

<ResponseField name="created" type="string">
  Time at which the vehicle was registered. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ResponseField>

<ResponseField name="drivers" type="array of string">
  List of driver IDs currently linked to the vehicle.
</ResponseField>

<ResponseField name="metadata" type="object">
  Set of key-value pairs that you can attach to an object.
</ResponseField>

<ResponseField name="policy_ids" type="array of string" required>
  A list of policy IDs to apply to this vehicle.
</ResponseField>

<ResponseField name="telemetry" type="string" required post={[<Tooltip tip="This can be expanded into an object with the expand request parameter."><a href="/expand" className="charge-expandable-label">Expandable</a></Tooltip>]}>
  ID of the telemetry object linked to this vehicle (if any).
</ResponseField>

<ResponseField name="updated" type="string">
  Time at which the vehicle object was last updated. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ResponseField>

<ResponseField name="vin" type="string">
  Vehicle Identification Number (VIN), used to uniquely identify the vehicle.
</ResponseField>
